package com.goafanti.user.bo;

import java.util.List;

public class InputUserFollowList {

    private String userName;
    /* 0所有 1私有客户2签单客户3渠道客户*/
    private Integer userType;
    private Integer contactType;
    private String followStartTime;
    private String followEndTime;
    private String createStartTime;
    private String createEndTime;
    private String guidanceStartTime;
    private String guidanceEndTime;
    private String deps;
    /** 0自己 1下级 2全部*/
    private Integer shiroType;
    private String followName;
    private Integer pageSize;
    private Integer pageNo;

    public String getFollowName() {
        return followName;
    }

    public void setFollowName(String followName) {
        this.followName = followName;
    }

    public Integer getShiroType() {
        return shiroType;
    }

    public void setShiroType(Integer shiroType) {
        this.shiroType = shiroType;
    }

    public String getFollowStartTime() {
        return followStartTime;
    }

    public void setFollowStartTime(String followStartTime) {
        this.followStartTime = followStartTime;
    }

    public String getFollowEndTime() {
        return followEndTime;
    }

    public void setFollowEndTime(String followEndTime) {
        this.followEndTime = followEndTime;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }

    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getGuidanceStartTime() {
        return guidanceStartTime;
    }

    public void setGuidanceStartTime(String guidanceStartTime) {
        this.guidanceStartTime = guidanceStartTime;
    }

    public String getGuidanceEndTime() {
        return guidanceEndTime;
    }

    public void setGuidanceEndTime(String guidanceEndTime) {
        this.guidanceEndTime = guidanceEndTime;
    }

    public String getDeps() {
        return deps;
    }

    public void setDeps(String deps) {
        this.deps = deps;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getContactType() {
        return contactType;
    }

    public void setContactType(Integer contactType) {
        this.contactType = contactType;
    }

}
